### Method

# Soup Auth is_ready

#### Declaration [src]

    gboolean
    soup_auth_is_ready (
      SoupAuth* auth,
      SoupMessage* msg
    )

#### Description [src]

Tests if `auth` is ready to make a request for `msg` with.

For most auths, this is equivalent to `soup_auth_is_authenticated()`, but for some auth types (eg, NTLM), the auth may be sendable (eg, as an authentication request) even before it is authenticated.

#### Parameters

`msg` | `SoupMessage`
| A `SoupMessage`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| `TRUE` if `auth` is ready to make a request with.